# Package org.eclipse.jetty.http

Interface Summary
Interface | Description
--- | ---
Generator |
HttpBuffers | Abstract Buffer pool.
HttpContent | HttpContent.
HttpTokens | HTTP constants
Parser | Abstract interface for a connection Parser for use by Jetty.

Class Summary
Class | Description
--- | ---
AbstractGenerator | Abstract Generator.
EncodedHttpURI |
HttpBuffersImpl | Abstract Buffer pool.
HttpContent.ResourceAsHttpContent |
HttpCookie |
HttpFields | HTTP Fields.
HttpFields.Field |
HttpGenerator | HttpGenerator.
HttpHeaders |
HttpHeaderValues | Cached HTTP Header values.
HttpMethods |
HttpParser |
HttpParser.EventHandler |
HttpSchemes |
HttpStatus | HttpStatusCode enum class, for status codes based on various HTTP RFCs.
HttpURI | Http URI.
HttpVersions |
MimeTypes |
PathMap | URI path map to Object.
PathMap.Entry |

Enum Summary
Enum | Description
--- | ---
HttpStatus.Code |

Exception Summary
Exception | Description
--- | ---
HttpException |